Subject: Re: bug#16800: 24.3; flyspell works slow on very short words at the end of big file

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Feb 2014 17:21:54 +0200

> Date: Fri, 21 Feb 2014 17:12:54 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > I expect problems with this solution because I do not know if
> > > flyspell's meaning of word is the same as emacs' one. I think it is
> > > described in flyspell-get-word function that is called after search-*
> > > in the patched functions.
> > 
> > I have never played with Emacs syntax tables, but  I'd expect differences
> > only if there is a mismatch between chars in OTHERCHARS and non
> > alphabetic chars that Emacs considers as possible parts of a word. 
> 
> The effect depends on the language, I think.

Actually, having looked at flyspell-word-search-backward, it is quite
clear to me that replacing that with word-search-backward will change
behavior: for example, it will disregard the current spelling
language.  In general, flyspell-word-search-backward or its
replacement absolutely must agree with flyspell-word about what is a
"word", because words is what flyspell feeds to the speller.